## XbBuilderSource XbBuilderSource |

## Functions

gboolean | (*XbBuilderSourceNodeFunc) ()
GInputStream * | (*XbBuilderSourceAdapterFunc) ()
XbBuilderSource * | xb_builder_source_new ()
gboolean | xb_builder_source_load_file ()
gboolean | xb_builder_source_load_xml ()
gboolean | xb_builder_source_load_bytes ()
void | xb_builder_source_set_info ()
void | xb_builder_source_set_prefix ()
void | xb_builder_source_add_fixup ()
void | xb_builder_source_add_adapter ()
void | xb_builder_source_add_simple_adapter ()

## Types and Values

#define | XB_TYPE_BUILDER_SOURCE
struct | XbBuilderSourceClass
enum | XbBuilderSourceFlags
| XbBuilderSource

## Description

## Functions

### XbBuilderSourceNodeFunc ()

    gboolean
    (*XbBuilderSourceNodeFunc) (XbBuilderSource *self,
                                XbBuilderNode *bn,
                                gpointer user_data,
                                GError **error);

### XbBuilderSourceAdapterFunc ()

    GInputStream *
    (*XbBuilderSourceAdapterFunc) (XbBuilderSource *self,
                                   XbBuilderSourceCtx *ctx,
                                   gpointer user_data,
                                   GCancellable *cancellable,
                                   GError **error);

### xb_builder_source_new ()

    XbBuilderSource *
    xb_builder_source_new (void);

### xb_builder_source_load_file ()

    gboolean
    xb_builder_source_load_file (XbBuilderSource *self,
                                 GFile *file,
                                 XbBuilderSourceFlags flags,
                                 GCancellable *cancellable,
                                 GError **error);

### xb_builder_source_load_xml ()

    gboolean
    xb_builder_source_load_xml (XbBuilderSource *self,
                                const gchar *xml,
                                XbBuilderSourceFlags flags,
                                GError **error);

### xb_builder_source_load_bytes ()

    gboolean
    xb_builder_source_load_bytes (XbBuilderSource *self,
                                  GBytes *bytes,
                                  XbBuilderSourceFlags flags,
                                  GError **error);

### xb_builder_source_set_info ()

    void
    xb_builder_source_set_info (XbBuilderSource *self,
                                XbBuilderNode *info);

### xb_builder_source_set_prefix ()

    void
    xb_builder_source_set_prefix (XbBuilderSource *self,
                                  const gchar *prefix);

### xb_builder_source_add_fixup ()

    void
    xb_builder_source_add_fixup (XbBuilderSource *self,
                                 XbBuilderFixup *fixup);

### xb_builder_source_add_adapter ()

    void
    xb_builder_source_add_adapter (XbBuilderSource *self,
                                   const gchar *content_types,
                                   XbBuilderSourceAdapterFunc func,
                                   gpointer user_data,
                                   GDestroyNotify user_data_free);

### xb_builder_source_add_simple_adapter ()

    void
    xb_builder_source_add_simple_adapter (XbBuilderSource *self,
                                          const gchar *content_types,
                                          XbBuilderSourceAdapterFunc func,
                                          gpointer user_data,
                                          GDestroyNotify user_data_free);

## Types and Values

### XB_TYPE_BUILDER_SOURCE

    #define XB_TYPE_BUILDER_SOURCE (xb_builder_source_get_type ())

### struct XbBuilderSourceClass

    struct XbBuilderSourceClass {
    	GObjectClass			 parent_class;
    };

### enum XbBuilderSourceFlags

The flags for converting to XML.

#### Members

XB_BUILDER_SOURCE_FLAG_NONE | No extra flags to use |
XB_BUILDER_SOURCE_FLAG_LITERAL_TEXT | Do not attempt to repair XML whitespace |
XB_BUILDER_SOURCE_FLAG_WATCH_FILE | Watch the source file for changes |
XB_BUILDER_SOURCE_FLAG_WATCH_DIRECTORY | Watch the directory containing the source file for changes (for example, if watching all the sources in a directory — this allows the file monitors to be shared) |

### XbBuilderSource

    typedef struct _XbBuilderSource XbBuilderSource;